// Run this program on a staged multi-satellite deploy mission. (e.g. using a fairing with interstage nodes and stack separators) To use:
//
// 1. Make sure the next stage will decouple a satellite and activate its engines.
// 2. Pull up the PAW for the satellite's probe core and "Control from Here".
// 3. Run this program from that satellite's computer.
//
// This program will decouple the satellite and circularize its orbit. Ideally done on a resonant satellite injection orbit.

@lazyglobal off.

parameter name is "New Satellite".

runoncepath("/lib/navigation").
runoncepath("/lib/node").

stage.
PANELS on.
set SHIP:NAME to name.
add CreateCircularizationNode(TIME + 2).
ExecNode().

for p in SHIP:PARTS {
  if p:MODULES:Find("ModuleRTAntenna") > -1 {
    p:GetModule("ModuleRTAntenna"):DoEvent("ACTIVATE").
  }
}
